<!DOCTYPE html>
<html>
  <head id="head_id">
  <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1">
  <meta http-equiv="pragma" content="no-cache">
  <meta charset="UTF-8">
  <title>Testbox</title>
  <link rel="stylesheet" type="text/css" href="shared/style/headers.css">
  <link rel="stylesheet" type="text/css" href="shared/style/switches.css">
  <link rel="stylesheet" type="text/css" href="shared/elements/gaia_select/style.css">
  <link rel="stylesheet" type="text/css" href="style/lists.css">
  <link rel="stylesheet" type="text/css" href="style/buttons.css">
  <link rel="stylesheet" type="text/css" href="style/testbox.css">
  <!--meta name="defaultLanguage" content="en-US">
  <meta name="availableLanguages" content="en-US">
  <link rel="localization" href="locales/testbox.{locale}.properties">
  <link rel="localization" href="/shared/locales/date/date.{locale}.properties"-->

  <link rel="resource" type="application/l10n" href="locales/locales.ini">
  <link rel="resource" type="application/l10n" href="shared/locales/tz.ini">
  <link rel="resource" type="application/l10n" href="shared/locales/branding.ini">
  <link rel="resource" type="application/l10n" href="shared/locales/permissions.ini">
  <link rel="resource" type="application/l10n" href="shared/locales/date.ini">
  <script defer="" src="shared/js/settings_listener.js"></script>
<!--   <script defer="" src="shared/js/l10n.js"></script>
  <script defer="" src="shared/js/l10n_date.js"></script> -->
  <script defer="" src="shared/js/wifi_helper.js"></script>
  <script defer="" src="shared/js/mobile_operator.js"></script>
  <script defer="" src="js/local_log.js"></script>
  <script defer="" src="js/local_settings.js"></script>
  <script defer="" src="js/local_utils.js"></script>
  <script defer="" src="js/local_eng_dsds_settings.js"></script>
  <script defer="" src="js/local_simslot.js"></script>
  <script defer="" src="js/local_simslot_manager.js"></script>
  <script src="shared/elements/gaia_select/script.js"></script>
  <script defer="" src="js/page_changer.js"></script>

  <meta content="af:201809261549, sq-AL:201809261549, ar:201809261549, hy-AM:201809261549, az-Latn-AZ:201809261549, be-BY:201809261549, bn-BD:201809261549, bn:201809261549, bs-BA:201809261549, bg-BG:201809261549, zh-CN:201809261549, zh-HK:201809261549, zh-TW:201809261549, hr-HR:201809261549, cs-CZ:201809261549, da-DK:201809261549, nl:201809261549, en-GB:201809261549, en-US:201809261549, et-EE:201809261549, fi-FI:201809261549, fr-CA:201809261549, fr:201809261549, ka-GE:201809261549, de:201809261549, el-GR:201809261549, he-IL:201809261549, hi:201809261549, hu:201809261549, is-IS:201809261549, id:201809261549, it:201809261549, kk-KZ:201809261549, km-KH:201809261549, ko-KR:201809261549, lo-LA:201809261549, lv-LV:201809261549, it-LT:201809261549, mk-MK:201809261549, ms:201809261549, mo-RO:201809261549, ne:201809261549, nb-NO:201809261549, fa-IR:201809261549, pl:201809261549, pt-BR:201809261549, pt-PT:201809261549, ps-AF:201809261549, ro:201809261549, ru:201809261549, sr-Latn-CS:201809261549, si-LK:201809261549, sk-SK:201809261549, sl-SI:201809261549, es:201809261549, es-US:201809261549, sw:201809261549, sv-SE:201809261549, fil-PH:201809261549, ta:201809261549, th:201809261549, tr:201809261549, uk-UA:201809261549, ur:201809261549, uz-Cyrl-UZ:201809261549, vi:201809261549, xh-ZA:201809261549, zu:201809261549" name="availableLanguages"><meta content="en-US" name="defaultLanguage"><meta content="2.2" name="appVersion"></head>
  <body role="application" id="body_id">
    <section id="root" class="skin-organic" role="region">
      <header>
        <h1 id="toppanel" data-type="focusEnabled">Testbox tools</h1>
      </header>
      <header>
        <h2>Attestation Test</h2>
      </header>
      <ul>
        <li>
          <a id="menuItem-wifi" data-type="focusEnabled" class="menu-item" href="#wifi">Wifi Test</a>
        </li>
        <li>
          <a id="menuItem-bluetooth" data-type="focusEnabled" class="menu-item" href="#bluetooth">Bluetooth Test</a>
        </li>
        <li>
          <a id="menuItem-gps" data-type="focusEnabled" class="menu-item" href="#gps">GPS Test</a>
        </li>
        <li id="nfcItem">
          <a id="menuItem-nfc" data-type="focusEnabled" class="menu-item" href="#nfc">NFC Test</a>
        </li>
        <header>
          <h2>HardWare Test</h2>
        </header>
        <li>
          <a id="menuItem-vibrator" data-type="focusEnabled" class="menu-item" href="#vibrator">Vibrator Limited Test</a>
        </li>

        <li>
          <a id="menuItem-batteryInfo" data-type="focusEnabled" class="menu-item" href="#battery_info">Battery Info</a>
        </li>
        <!--<li>-->
    	<!--<a class="menuItem-gsensorInfo" data-type="focusEnabled" href="#gsensor-info">Gsensor Info</a>-->
    	<!--</li>-->
        <li>
          <a id="menuItem-LCDTest" data-type="focusEnabled" class="menu-item" href="#lcd_test">LCD Test</a>
        </li>
        <header>
          <h2>Local Customization Test</h2>
        </header>
        <li>
          <a id="menuItem-radioInfo" data-type="focusEnabled" class="menu-item" href="#radio_info">Radio Info</a>
        </li>
        <li>
          <a id="menuItem-setting" data-type="focusEnabled" class="menu-item" href="#setting">Settings</a>
        </li>
        <!--<li>-->
    	<!--<a id="menuItem-omadmsetting" data-type="focusEnabled" class="menu-item" href="#omadmsetting">OMA DM Settings</a>-->
    	<!--</li>-->
        <li>
          <a id="menuItem-version" data-type="focusEnabled" class="menu-item" href="#version_info">Version</a>
        </li>
        <li hidden="">
          <a id="menuItem-nvsettings" data-type="focusEnabled" class="menu-item" href="#nvsettings">NV Options</a>
        </li>
        <li>
          <a id="menuItem-hotlink" data-type="focusEnabled" class="menu-item" href="#hotlink">Hot Link</a>
        </li>
        <li hidden="">
          <a id="menuItem-curef" data-type="focusEnabled" class="menu-item" href="#curef">CU-Ref</a>
        </li>
        <li hidden="">
          <a id="menuItem-uasettings" data-type="focusEnabled" class="menu-item" href="#uasettings">UA Settings</a>
        </li>
        <li id="logcatItem">
          <a id="menuItem-logcat" data-type="focusEnabled" class="menu-item" href="#logcat_settings">Running in root</a>
        </li>
        <li hidden="">
          <a id="menuItem-getlog" data-type="focusEnabled" class="menu-item" href="#make_log">Make Logs Visible </a>
        </li>
        <li>
          <a id="menuItem-resetphone" data-type="focusEnabled" class="menu-item" href="#resetPhone">Factory data reset </a>
        </li>
        <header>
          <h2>Network Info</h2>
        </header>
        <li hidden="">
          <a id="menuItem-cellInfomation" data-type="focusEnabled" class="menu-item" href="#cellInfos">Cell Information</a>
        </li>
        <li hidden="">
          <a id="menuItem-neighbourCellInfomation" data-type="focusEnabled" class="menu-item" href="#cellInfos">Neighbour Information</a>
        </li>
        <li hidden="">
          <a id="menuItem-rrcState" data-type="focusEnabled" class="menu-item" href="#attachInfoShowPanel">RRC State</a>
        </li>
        <li hidden="">
          <a id="menuItem-bandInfomation" data-type="focusEnabled" class="menu-item" href="#cellInfos">Band Information</a>
        </li>
        <li>
          <a id="menuItem-IMIS" data-type="focusEnabled" class="menu-item" href="#attachInfoShowPanel">IMSI</a>
        </li>
        <li hidden="">
          <a id="menuItem-PDP" data-type="focusEnabled" class="menu-item" href="#attachInfoShowPanel">PDP&amp;Data Icon</a>
        </li>
        <li id="_UARFCN" hidden="true">
          <a id="menuItem-UARFCN" data-type="focusEnabled" class="menu-item" href="#attachInfoShowPanel" hidden="true">UARFCN</a>
        </li>
        <li hidden="">
          <a id="menuItem-attachInfomation" data-type="focusEnabled" class="menu-item" href="#attachInfoShowPanel">Attach State</a>
        </li>
        </ul>
      </section>

      <section id="cellInfos" class="skin-organic" role="region" style="display: none;">
          <header>
            <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
            <h1 id="cellInfos_list_head">Cell Info List</h1>
          </header>
          <ul id="cellInfos-container">
            <li hidden="true">
              <a id="cell-a-0" data-type="focusEnabled" href="#cellInfoShowPanel">test </a>
            </li>
            <li hidden="true">
              <a id="cell-a-1" data-type="focusEnabled" href="#cellInfoShowPanel">test </a>
            </li>
            <li hidden="true">
              <a id="cell-a-2" data-type="focusEnabled" href="#cellInfoShowPanel">test </a>
            </li>
            <li hidden="true">
              <a id="cell-a-3" data-type="focusEnabled" href="#cellInfoShowPanel">test </a>
            </li>
            <li hidden="true">
              <a id="cell-a-4" data-type="focusEnabled" href="#cellInfoShowPanel">test </a>
            </li>
            <li hidden="true">
              <a id="cell-a-5" data-type="focusEnabled" href="#cellInfoShowPanel">test </a>
            </li>
            <li hidden="true">
              <a id="cell-a-6" data-type="focusEnabled" href="#cellInfoShowPanel">test </a>
            </li>
            <li hidden="true">
              <a id="cell-a-7" data-type="focusEnabled" href="#cellInfoShowPanel">test </a>
            </li>
          </ul>
        </section>
        <section id="cellInfoShowPanel" class="skin-organic" role="region" style="display: none;">
          <header>
            <a id="_cellinfoBack" href="#cellInfos" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
            <h1 id="_cellinfoHead">Cell Info</h1>
          </header>
          <div id="_cellInfoDiv" class="radioinforesultItem"></div>
        </section>
        <section id="attachInfoShowPanel" class="skin-organic" role="region" style="display: none;">
          <header>
            <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
            <h1 id="_AttachInfoHead">Attach Info</h1>
          </header>
          <div id="_AttachInfoDiv" class="radioinforesultItem"></div>
        </section>
    <section id="wifi" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>Wifi</h1>
      </header>
      <ul>
        <li hidden="">
          <a id="wifi-tx" data-type="focusEnabled" class="menu-item" href="#wifiTx">Tx</a>
        </li>
        <li hidden="">
          <a id="wifi-rx" data-type="focusEnabled" class="menu-item" href="#wifiRx">Rx</a>
        </li>
        <li>
          <a id="wifiavailablenetworks" data-type="focusEnabled" class="menu-item" href="#wifi-available-networks">Available Networks</a>
        </li>
        <li hidden="">
          <a id="wifiCheckings" data-type="focusEnabled" class="menu-item" data-l10-id="wifiChenking" href="#wifi-Checkings">Wifi Checking</a>
        </li>
        <!--add by qinghao.wu for PR1040684-->
        <li hidden="">
          <a class="menu-item" data-type="focusEnabled" href="#wifi-ssid">wifiOTA</a>
        </li>
      </ul>
    </section>
    <section id="wifiTx" class="skin-organic" role="region" style="display: none;">
      <header>
        <a id="wifi-back" data-type="focusEnabled" href="#wifi"><span class="icon icon-back">back</span></a>
        <h1>Tx</h1>
      </header>
      <ul>
        <li>
          <div class="divItem">
            Channel
          </div>
          <div class="divItem">
            <gaia-select data-type="focusEnabled">
              <select id="channelSelect">
                <option value="1">Channel 1</option>
                <option value="2">Channel 2</option>
                <option value="3">Channel 3</option>
                <option value="4">Channel 4</option>
                <option value="5">Channel 5</option>
                <option value="6">Channel 6</option>
                <option value="7">Channel 7</option>
                <option value="8">Channel 8</option>
                <option value="9">Channel 9</option>
                <option value="10">Channel 10</option>
                <option value="11">Channel 11</option>
                <option value="12">Channel 12</option>
                <option value="13">Channel 13</option>
              </select>
            </gaia-select>
          </div>
        </li>
        <li>
          <div class="divItem">
            Tx Power
          </div>
          <div class="divItem">
            <gaia-select data-type="focusEnabled">
              <select id="txPowerSelect">
                <option value="9">9dBm</option>
                <option value="10">10dBm</option>
                <option value="11">11dBm</option>
                <option value="12">12dBm</option>
                <option value="13">13dBm</option>
                <option value="14">14dBm</option>
                <option value="15">15dBm</option>
                <option value="16">16dBm</option>
                <option value="17">17dBm</option>
                <option value="18">18dBm</option>
                <option value="19">19dBm</option>
                <option value="20">20dBm</option>
              </select>
            </gaia-select>
          </div>
        </li>
        <li>
          <div class="divItem">
            Rate
          </div>
          <div class="divItem">
            <gaia-select data-type="focusEnabled">
              <select id="wifiRateType">
                <option>11b</option>
                <option>11g</option>
                <option>11n</option>
              </select>
            </gaia-select>
		</div>
      <div class="divItem">
            <gaia-select data-type="focusEnabled">
              <select id="wifiRate">
              </select>
            </gaia-select>
          </div>
        </li>
      </ul>
      <div class="divItem">
        <button id="wifiTxRun" data-type="focusEnabled" style="width: 30%;">
          Run
        </button>
      </div>
      <div class="divItem">
        <button id="wifiTxStop" data-type="focusEnabled" style="width: 30%;" disabled="true">
          Stop
        </button>
      </div>
    </section>

    <section id="wifiRx" class="skin-organic" role="region" style="display: none;">
        <header>
            <a id="wifiRx-back" data-type="focusEnabled" href="#wifi"><span class="icon icon-back">back</span></a>
            <h1>Rx</h1>
        </header>
        <ul>
            <li>
                <div class="divItem">
                    Channel
                </div>
                <div class="divItem">
                  <gaia-select data-type="focusEnabled">
                    <select id="rxChannelSelect">
                        <option value="1">Channel 1</option>
                        <option value="2">Channel 2</option>
                        <option value="3">Channel 3</option>
                        <option value="4">Channel 4</option>
                        <option value="5">Channel 5</option>
                        <option value="6">Channel 6</option>
                        <option value="7">Channel 7</option>
                        <option value="8">Channel 8</option>
                        <option value="9">Channel 9</option>
                        <option value="10">Channel 10</option>
                        <option value="11">Channel 11</option>
                        <option value="12">Channel 12</option>
                        <option value="13">Channel 13</option>
                    </select>
                  </gaia-select>
                </div>
            </li>
        </ul>
      <ul>
        <li>
        <div class="divItem">
            <button id="wifiRxRun" data-type="focusEnabled" style="width: 30%;">
                Run
            </button>
        </div>
        <div class="divItem">
            <button id="wifiRxStop" data-type="focusEnabled" style="width: 30%;" disabled="true">
                Stop
            </button>
        </div>
      </li>
      </ul>
      <ul>
        <li>
        <div class="divItem">
            <button id="wifiRxReport" data-type="focusEnabled" style="width: 30%;">
                Report
            </button>
        </div>
        <div class="divItem">
            <button id="wifiRxClear" data-type="focusEnabled" style="width: 30%;">
                clear
            </button>
        </div>
      </li>
      </ul>
        <div class="textItem">
            receive pkt count:
        </div>
    </section>

    <section id="wifi-available-networks" class="skin-organic" role="region" style="display: none;">
      <header>
        <a id="wifiavailablenetworks-back" data-type="focusEnabled" href="#wifi"><span class="icon icon-back">back</span></a>
        <h1 data-l10n-id="settings"> Available Networks </h1>
      </header>
      <ul>
        <li>
          <label>
            <button id="countAverage" data-type="focusEnabled">stop</button>
          </label>
        </li>
      </ul>

      <ul id="wifi-availableNetworks-test" data-state="off">
        <li class="explanation" data-state="off" data-l10n-id="wifi-disabled">
          Turn Wi-Fi on to view available networks.
        </li>
        <li class="explanation" data-state="on" data-l10n-id="scanning">
          Searching…
        </li>
      </ul>
    </section>

    <section id="wifi-Checkings" class="skin-organic" role="region" style="display: none;">
        <header>
          <a id="wificheckinggoback" data-type="focusEnabled" href="#wifi"><span class="icon icon-back">back</span></a>
            <menu type="toolbar">
              <a id="wificheckingok" data-type="focusEnabled" href="#wifi"><span class="gobackok">OK</span></a>
            </menu>
            <h1 data-l10n-id="wifiChecking">Wifi Checking</h1>
        </header>

        <ul>
            <li>
                <label class="pack-switch">
                    <input id="wifiSleep-input" data-type="focusEnabled" type="checkbox">
                    <span id="menuItem-wifiSleep" class="menu-itembtcheck" data-l10-id="wifiSleep">Wifi Sleep</span>
                </label>
            </li>
            <li>
                <label class="pack-switch">
                    <input id="staticMode-input" data-type="focusEnabled" checked="" type="checkbox">
                    <span id="menuItem-staticMode" class="menu-itembtcheck" data-l10-id="staticMode">Static Mode</span>
                </label>
            </li>
            <li class="inputNumber">
                <p data-l10n-id="staticIP">Static IP</p>
                <input id="ip-input" data-type="focusEnabled" class="ipInput" maxlength="63" x-inputmode="verbatim" placeholder="">
            </li>
            <li class="inputNumber">
                <p data-l10n-id="proxy">Proxy</p>
                <input id="proxy-input" data-type="focusEnabled" class="ipInput" maxlength="63" x-inputmode="verbatim" placeholder="">
            </li>
            <li class="inputNumber">
                <p data-l10n-id="maskLength">Mask Length</p>
                <input id="maskLength-input" data-type="focusEnabled" maxlength="63" x-inputmode="verbatim" placeholder="" type="number">
            </li>
            <li class="inputNumber">
                <p data-l10n-id="gateway">gateWay </p>
                <input id="gateway-input" data-type="focusEnabled" class="ipInput" maxlength="63" x-inputmode="verbatim" placeholder="">
            </li>
            <li class="inputNumber">
                <p data-l10n-id="dns1">DNS1 </p>
                <input id="dns1-input" data-type="focusEnabled" class="ipInput" maxlength="63" x-inputmode="verbatim" placeholder="">
            </li>
            <li class="inputNumber">
                <p data-l10n-id="dns2">DNS2 </p>
                <input id="dns2-input" data-type="focusEnabled" class="ipInput" maxlength="63" x-inputmode="verbatim" placeholder="">
            </li>
            <li style="height: 0.3rem;">&nbsp;&nbsp;&nbsp;</li>
        </ul>
    </section>
    <!--add by qinghao.wu for PR1040684-->
    <section id="wifi-ssid" class="skin-organic" role="region" style="display: none;">
      <header>
            <a href="#wifi" data-type="focusEnabled"><span class="icon icon-back">back</span></a>

            <h1>Wifi Ssid</h1>
      </header>
      <li>
        <div class="divItem">
            <button id="wifiSsidRun" data-type="focusEnabled" style="width: 40%;">
                Run
            </button>
        </div>
        <div class="divItem">
            <button id="wifiSsidStop" data-type="focusEnabled" style="width: 40%;" disabled="true">
                Stop
            </button>
        </div>
      </li>
      <li><span id="wifiSsidContent"></span></li>
    </section>

    <section id="bluetooth" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>Bluetooth</h1>
      </header>
      <ul>
        <li>
          <a id="bluetooth-tx" data-type="focusEnabled" class="menu-item" href="#bluetoothTx">Tx</a>
        </li>
        <li>
          <a id="bluetooth-rx" data-type="focusEnabled" class="menu-item" href="#bluetoothRx">Rx</a>
        </li>
        <li hidden="">
          <a id="menuItem-gt-radio-test" data-type="focusEnabled" class="menu-item" href="#bt-radio-test">Radio Test</a>
        </li>
        <li>
          <label class="pack-switch">
            <input id="btVTA-input" data-type="focusEnabled" name="btVTADisplay.enabled" type="checkbox">
               <span id="menuItem-btVTADisplay" class="menu-itembtcheck" data-l10n-id="btVTA">visible to all(2 Hr)</span>
          </label>
        </li>
      </ul>
    </section>
    <section id="bluetoothRx" class="skin-organic" role="region" style="display: none;">
      <header>
        <a id="btRx-back" data-type="focusEnabled" href="#bluetooth"><span class="icon icon-back">back</span></a>
        <h1>Rx</h1>
      </header>
      <ul>
        <li>
          <div class="divItem">
            Tx Pattern
          </div>
          <div class="divItem">
            <gaia-select data-type="focusEnabled">
              <select id="btRxPattern">
                <option value="0x00">0000</option>
                <option value="0x01">1111</option>
                <option value="0x02">1010</option>
                <option value="0x03">Pseudorandom</option>
                <option value="0x04">11110000</option>
              </select>
            </gaia-select>
          </div>
        </li>
        <li>
          <div class="divItem">
            Tx Channel
          </div>
          <div class="divItem">
            <gaia-select data-type="focusEnabled">
              <select id="btRxChannel">
                <option value="0x01">channel1</option>
                <option value="0x02">channel2</option>
                <option value="0x03">channel3</option>
                <option value="0x04">channel4</option>
                <option value="0x05">channel5</option>
                <option value="0x06">channel6</option>
                <option value="0x07">channel7</option>
                <option value="0x08">channel8</option>
                <option value="0x09">channel9</option>
                <option value="0x0A">channel10</option>
                <option value="0x0B">channel11</option>
                <option value="0x0C">channel12</option>
                <option value="0x0D">channel13</option>
                <option value="0x0E">channel14</option>
                <option value="0x0F">channel15</option>
                <option value="0x10">channel16</option>
                <option value="0x11">channel17</option>
                <option value="0x12">channel18</option>
                <option value="0x13">channel19</option>
                <option value="0x14">channel20</option>
                <option value="0x15">channel21</option>
                <option value="0x16">channel22</option>
                <option value="0x17">channel23</option>
                <option value="0x18">channel24</option>
                <option value="0x19">channel25</option>
                <option value="0x1A">channel26</option>
                <option value="0x1B">channel27</option>
                <option value="0x1C">channel28</option>
                <option value="0x1D">channel29</option>
                <option value="0x1E">channel30</option>
                <option value="0x1F">channel31</option>
                <option value="0x20">channel32</option>
                <option value="0x21">channel33</option>
                <option value="0x22">channel34</option>
                <option value="0x23">channel35</option>
                <option value="0x24">channel36</option>
                <option value="0x25">channel37</option>
                <option value="0x26">channel38</option>
                <option value="0x27">channel39</option>
              </select>
            </gaia-select>
          </div>
        </li>
        <li>
          <div class="divItem">
            Packet Type
          </div>
          <div class="divItem">
            <gaia-select data-type="focusEnabled">
              <select id="btRxPacketType">
                <option value="0x00">NULL(0x00)</option>
                <option value="0x01">POLL(0x01)</option>
                <option value="0x02">FHS(0x02)</option>
                <option value="0x03">DM1(0x03)</option>
                <option value="0x04">DH1(0x04)</option>
                <option value="0x05">HV1(0x05)</option>
                <option value="0x06">HV2(0x06)</option>
                <option value="0x07">HV3(0x07)</option>
                <option value="0x08">DV(0x08)</option>
                <option value="0x09">AUX(0x09)</option>
                <option value="0x0A">DM3(0x0A)</option>
                <option value="0x0E">DM5(0x0E)</option>
                <option value="0x0F">DH5(0x0F)</option>
                <option value="0x17">EV3(0x17)</option>
                <option value="0x1C">EV4(0x1C)</option>
                <option value="0x1D">EV5(0x1D)</option>
                <option value="0x24">2-DH1(0x24)</option>
                <option value="0x28">3-DH1(0x28)</option>
                <option value="0x2A">2-DH3(0x2A)</option>
                <option value="0x2B">3-DH3(0x2B)</option>
                <option value="0x2E">2-DH5(0x2E)</option>
                <option value="0x2F">3-DH5(0x2F)</option>
                <option value="0x36">2-EV3(0x36)</option>
                <option value="0x37">3-EV3(0x37)</option>
                <option value="0x3C">2-EV5(0x3C)</option>
                <option value="0x3D">3-EV5(0x3D)</option>
              </select>
            </gaia-select>
          </div>
        </li>

        <li>
          <p> Tester Address:</p>
          <div class="divItem">
            <input id="btrxAddr" data-type="focusEnabled" type="text">
          </div>
        </li>
      </ul>
      <div class="divItem">
        <button id="btRxRun" data-type="focusEnabled" style="width: 30%;">
          Run
        </button>
      </div>
    </section>


    <section id="bluetoothTx" class="skin-organic" role="region" style="display: none;">
        <header>
            <a id="btTx-back" data-type="focusEnabled" href="#bluetooth"><span class="icon icon-back">back</span></a>
            <h1>Tx</h1>
        </header>
        <ul>
            <li>
                <div class="divItem">
                    Tx Pattern
                </div>
                <div class="divItem">
                  <gaia-select data-type="focusEnabled">
                    <select id="btTxPattern">
                        <option value="0x00">0000</option>
                        <option value="0x01">1111</option>
                        <option value="0x02">1010</option>
                        <option value="0x03">Pseudorandom</option>
                        <option value="0x04">11110000</option>
                    </select>
                  </gaia-select>
                </div>
            </li>
            <li id="btChannelItem">
                <div class="divItem">
                    Tx Channel
                </div>
                <div class="divItem">
                  <gaia-select data-type="focusEnabled">
                    <select id="btTxChannel">
                      <option value="0x00">channel0</option>
                      <option value="0x01">channel1</option>
                      <option value="0x02">channel2</option>
                      <option value="0x03">channel3</option>
                      <option value="0x04">channel4</option>
                      <option value="0x05">channel5</option>
                      <option value="0x06">channel6</option>
                      <option value="0x07">channel7</option>
                      <option value="0x08">channel8</option>
                      <option value="0x09">channel9</option>
                      <option value="0x0A">channel10</option>
                      <option value="0x0B">channel11</option>
                      <option value="0x0C">channel12</option>
                      <option value="0x0D">channel13</option>
                      <option value="0x0E">channel14</option>
                      <option value="0x0F">channel15</option>
                      <option value="0x10">channel16</option>
                      <option value="0x11">channel17</option>
                      <option value="0x12">channel18</option>
                      <option value="0x13">channel19</option>
                      <option value="0x14">channel20</option>
                      <option value="0x15">channel21</option>
                      <option value="0x16">channel22</option>
                      <option value="0x17">channel23</option>
                      <option value="0x18">channel24</option>
                      <option value="0x19">channel25</option>
                      <option value="0x1A">channel26</option>
                      <option value="0x1B">channel27</option>
                      <option value="0x1C">channel28</option>
                      <option value="0x1D">channel29</option>
                      <option value="0x1E">channel30</option>
                      <option value="0x1F">channel31</option>
                      <option value="0x20">channel32</option>
                      <option value="0x21">channel33</option>
                      <option value="0x22">channel34</option>
                      <option value="0x23">channel35</option>
                      <option value="0x24">channel36</option>
                      <option value="0x25">channel37</option>
                      <option value="0x26">channel38</option>
                      <option value="0x27">channel39</option>
                      <option value="0x28">channel40</option>
                      <option value="0x29">channel41</option>
                      <option value="0x2A">channel42</option>
                      <option value="0x2B">channel43</option>
                      <option value="0x2C">channel44</option>
                      <option value="0x2D">channel45</option>
                      <option value="0x2E">channel46</option>
                      <option value="0x2F">channel47</option>
                      <option value="0x30">channel48</option>
                      <option value="0x31">channel49</option>
                      <option value="0x32">channel50</option>
                      <option value="0x33">channel51</option>
                      <option value="0x34">channel52</option>
                      <option value="0x35">channel53</option>
                      <option value="0x36">channel54</option>
                      <option value="0x37">channel55</option>
                      <option value="0x38">channel56</option>
                      <option value="0x39">channel57</option>
                      <option value="0x3A">channel58</option>
                      <option value="0x3B">channel59</option>
                      <option value="0x3C">channel60</option>
                      <option value="0x3D">channel61</option>
                      <option value="0x3E">channel62</option>
                      <option value="0x3F">channel63</option>
                      <option value="0x40">channel64</option>
                      <option value="0x41">channel65</option>
                      <option value="0x42">channel66</option>
                      <option value="0x43">channel67</option>
                      <option value="0x44">channel68</option>
                      <option value="0x45">channel69</option>
                      <option value="0x46">channel70</option>
                      <option value="0x47">channel71</option>
                      <option value="0x48">channel72</option>
                      <option value="0x49">channel73</option>
                      <option value="0x4A">channel74</option>
                      <option value="0x4B">channel75</option>
                      <option value="0x4C">channel76</option>
                      <option value="0x4D">channel77</option>
                      <option value="0x4E">channel78</option>
                    </select>
                  </gaia-select>
                </div>
            </li>
            <li>
                <div class="divItem">
                    Packet Type
                </div>
                <div class="divItem">
                  <gaia-select data-type="focusEnabled">
                    <select id="btTxPacketType">
                      <option value="0x00">NULL(0x00)</option>
                      <option value="0x01">POLL(0x01)</option>
                      <option value="0x02">FHS(0x02)</option>
                      <option value="0x03">DM1(0x03)</option>
                      <option value="0x04">DH1(0x04)</option>
                      <option value="0x05">HV1(0x05)</option>
                      <option value="0x06">HV2(0x06)</option>
                      <option value="0x07">HV3(0x07)</option>
                      <option value="0x08">DV(0x08)</option>
                      <option value="0x09">AUX(0x09)</option>
                      <option value="0x0A">DM3(0x0A)</option>
                      <option value="0x0E">DM5(0x0E)</option>
                      <option value="0x0F">DH5(0x0F)</option>
                      <option value="0x17">EV3(0x17)</option>
                      <option value="0x1C">EV4(0x1C)</option>
                      <option value="0x1D">EV5(0x1D)</option>
                      <option value="0x24">2-DH1(0x24)</option>
                      <option value="0x28">3-DH1(0x28)</option>
                      <option value="0x2A">2-DH3(0x2A)</option>
                      <option value="0x2B">3-DH3(0x2B)</option>
                      <option value="0x2E">2-DH5(0x2E)</option>
                      <option value="0x2F">3-DH5(0x2F)</option>
                      <option value="0x36">2-EV3(0x36)</option>
                      <option value="0x37">3-EV3(0x37)</option>
                      <option value="0x3C">2-EV5(0x3C)</option>
                      <option value="0x3D">3-EV5(0x3D)</option>
                    </select>
                  </gaia-select>
                </div>
            </li>
            <li>
                <div class="divItem">
                    Whitening
                </div>
                <div class="divItem">
                  <gaia-select data-type="focusEnabled">
                    <select id="btTxWhitening">
                      <option value="0x00">Off</option>
                      <option value="0x01">On</option>
                    </select>
                  </gaia-select>
                </div>
            </li>
            <li>
              <div class="divItem">
                Power
              </div>
              <div class="divItem">
                <gaia-select data-type="focusEnabled">
                  <select id="btTxPower">
                    <option value="0x01">1</option>
                    <option value="0x02">2</option>
                    <option value="0x03">3</option>
                    <option value="0x04">4</option>
                    <option value="0x05">5</option>
                    <!--<option value="0x06">6</option>-->
                    <!--<option value="0x07">7</option>-->
                    <!--<option value="0x08">8</option>-->
                    <!--<option value="0x09">9</option>-->
                  </select>
                </gaia-select>
              </div>
            </li>
            <li>
              <div class="divItem">
                Rx Gain
              </div>
              <div class="divItem">
                <gaia-select data-type="focusEnabled">
                  <select id="btTxRxGain">
                    <option value="0x00">Low</option>
                    <option value="0x01">High</option>
                  </select>
                </gaia-select>

              </div>
            </li>
            <li>
                <div class="divItem">
                    Hop Array
                </div>
                <div class="divItem">
                  <gaia-select data-type="focusEnabled">
                    <select id="btTxHop">
                      <option value="0x00">Fixed</option>
                      <option value="0x01">Hop</option>
                    </select>
                  </gaia-select>
                </div>
            </li>
        </ul>
        <div class="divItem">
            <button id="btTxRun" data-type="focusEnabled" style="width: 30%;">
                Run
            </button>
        </div>
    </section>
    <section id="bt-radio-test" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#bluetooth" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>BT Radio Test</h1>
      </header>
      <div class="divItem">
        <button id="btRadioTestRun" data-type="focusEnabled" style="width: 30%;">
          Run
        </button>
      </div>
      <div class="divItem">
        <button id="btRadioTestStop" data-type="focusEnabled" style="width: 30%;" disabled="true">
          Stop
        </button>
      </div>
    </section>
    <section id="gps" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>GPS</h1>
      </header>
      <ul>
        <li>
          <a id="menuItem-gpst-test1" data-type="focusEnabled" class="menu-item" href="#gps-test1">GPS Test1</a>
        </li>
        <li>
          <a id="menuItem-gpst-test2" data-type="focusEnabled" class="menu-item" href="#gps-test2">GPS Test2</a>
        </li>
        <li hidden="">
          <a id="menuItem-AGPS" data-type="focusEnabled" class="menu-item" href="#AGPS">GPS</a>
        </li>
        <!-- BEGIN t2m_zzh PR1043289 GPSOTA -->
        <li>
          <a class="menuItem-gps-ota" data-type="focusEnabled" href="#gps-ota">GPS OTA</a>
        </li>
        <!-- END t2m_zzh GPSOTA -->
        <!-- BEGIN t2m_zzh PR1133022 GPSOTA test app for NB lab -->
        <li hidden="">
          <a class="menuItem-gps-ota-nb" data-type="focusEnabled" href="#gps-ota-nb">GPS OTA Ningbo</a>
        </li>
        <!-- END t2m_zzh GPSOTA test app for NB lab -->
      </ul>
    </section>
    <section id="gps-test1" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#gps" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>GPS Test1</h1>
      </header>
      <div class="divItem">
        <button id="gpsTest1Run" data-type="focusEnabled" style="width: 30%;">
          Run
        </button>
      </div>
      <div class="divItem">
        <button id="gpsTest1Stop" data-type="focusEnabled" style="width: 30%;" disabled="true">
          Stop
        </button>
      </div>
    </section>
    <section id="gps-test2" class="skin-organic" role="region" style="display: none;">
      <header>
        <a id="gps-test2-back" href="#gps" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>GPS Test2</h1>
      </header>
      <li>
      <div class="divItem">
        <button id="gpsTest2Cold" data-type="focusEnabled" style="width: 25%;">
          Cold
        </button>
      </div>
      <div class="divItem">
        <button id="gpsTest2Hot" data-type="focusEnabled" style="width: 25%;">
          Hot
        </button>
      </div>
      <div class="divItem">
        <button id="gpsTest2Warm" data-type="focusEnabled" style="width: 30%;">
          Warm
        </button>
      </div>
      </li>
      <li>
        <div class="divItem">
          <button id="gpsTest2stop" data-type="focusEnabled" style="width: 40%;">
            Stop
          </button>
        </div>
      </li>
        <div class="divItem" style="width: 40%;">Test Count:</div>
        <div class="divItem">
          <input id="input_gps_test_count" data-type="focusEnabled" maxlength="8" style="width: 40%;" type="number">
        </div>
      
      <ul>
        <li><span id="rst_gpstest2" data-type="focusEnabled"></span></li>
      </ul>
      <div id="gps2ResultPanel" class="resultItem" data-type="focusEnabled">
      </div>
    </section>
    <section id="AGPS" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#gps" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>GPS</h1>
      </header>
      <ul>
        <li>
          <div id="AGPSStatus" class="menu-itembtcheck">
            Closed!
          </div>
        </li>
        <li>
          <label class="pack-switch">
            <input id="AGPSDisplay-input" data-type="focusEnabled" name="agpsdisplay.enabled" type="checkbox">
              <span id="menuItem-AGPSDisplay" class="menu-itembtcheck" data-l10n-id="agps">GPS</span>
          </label>
        </li>
      </ul>
    </section>
    <!-- BEGIN t2m_zzh PR1043289 GPSOTA -->
    <section id="gps-ota" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#gps" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>GPS OTA</h1>
      </header>
      <div class="divItem">
        <button id="gpsOtaRun" data-type="focusEnabled" style="width: 30%;">
          Run
        </button>
      </div>
      <div class="divItem">
        <button id="gpsOtaStop" data-type="focusEnabled" style="width: 30%;" disabled="true">
          Stop
        </button>
      </div>
      <div id="gpsOtaLocacionInfo" class="gpsOtaInfo-item"></div>
      <div id="gpsOtaSatelliteInfo" class="gpsOtaInfo-item"></div>
    </section>
    <!-- END t2m_zzh GPSOTA -->
    <!-- BEGIN t2m_zzh PR1133022 GPSOTA test app for NB lab -->
    <section id="gps-ota-nb" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#gps" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>GPS OTA Ningbo</h1>
      </header>
      <div class="divItem">
        <button id="gpsOtaNbRun" data-type="focusEnabled" style="width: 30%;">
          Run
        </button>
      </div>
      <div class="divItem">
        <button id="gpsOtaNbStop" data-type="focusEnabled" style="width: 30%;" disabled="true">
          Stop
        </button>
      </div>
    </section>
    <!-- END t2m_zzh GPSOTA test app for NB lab -->
    <section id="nfc" class="skin-organic" role="region" style="display: none;">
        <header>
            <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
            <h1>NFC</h1>
        </header>
        <ul>
            <li>
                <a id="menuItem-nfc-pcd" data-type="focusEnabled" class="menu-item" href="#nfc-pcd">PCD Test</a>
            </li>
            <li>
                <a id="menuItem-nfc-eut" data-type="focusEnabled" class="menu-item" href="#nfc-eut">EUT Test</a>
            </li>
        </ul>
    </section>
    <section id="nfc-pcd" class="skin-organic" role="region" style="display: none;">
        <header>
            <a href="#nfc" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
            <h1>PCD test</h1>
        </header>
        <li>
            <div class="divItem">
                Test Times
            </div>
        <div class="divItem">
            <input id="inputTimes" data-type="focusEnabled" type="number">
        </div>
        </li>
        <li>
            <div class="divItem">
                Interval Time
            </div>
            <div class="divItem">
                <input id="intervalTime" data-type="focusEnabled" type="number">
            </div>
        </li>
        <!--<div class="nfcItem" id="totalTimes">-->
            <!--total times: 0-->
        <!--</div>-->
        <li>
            <button id="nfcStart" data-type="focusEnabled" style="width: 20%;">
                start
            </button>
            <button id="nfcClear" data-type="focusEnabled" style="width: 20%;" disabled="true">
                Clear
            </button>
        </li>

        <li>
        <div class="nfcItem" id="successTimes">
            success times: 0
        </div>
        </li>

    </section>
    <section id="nfc-eut" class="skin-organic" role="region" style="display: none;">
        <header>
            <a href="#nfc" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
            <h1>EUT test</h1>
        </header>
        <ul>
            <li>
        <div class="divItem">
            <div class="divItem">
                NFC
            </div>
          <gaia-select data-type="focusEnabled">
            <select id="nfcRunTest">
              <option value="0">0</option>
              <!--<option value="1">1</option>-->
              <option value="2">2</option>
              <option value="3">3</option>
              <option value="4">4</option>
              <option value="5">5</option>
              <option value="6">6</option>
              <option value="7">7</option>
              <option value="8">8</option>
              <option value="9">9</option>
              <option value="a">a</option>
              <option value="b">b</option>
              <option value="c">c</option>
              <option value="d">d</option>
              <option value="e">e</option>
              <option value="f">f</option>
              <option value="g">g</option>
            </select>
          </gaia-select>
        </div>
              </li>
            </ul>
        <div class="divItem">
            <button id="nfcEUTRun" data-type="focusEnabled" style="width: 30%;">
                Run
            </button>
        </div>
        <div class="divItem">
            <button id="nfcEUTStop" data-type="focusEnabled" style="width: 30%;" disabled="true">
                Stop
            </button>
        </div>
    </section>
    <section id="setting" class="skin-organic" role="region" style="display: none;">
        <header>
            <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
            <h1>setting</h1>
        </header>
        <ul>
          <li hidden="true">
            <a id="menuItem-networkSelect" data-type="focusEnabled" class="menu-item" data-l10n-id="networkSetting" href="#networkPrefer">Network Setting</a>
          </li>
          <li>
            <label id="l1" class="pack-switch" data-1="sendtonext" data-2="menuItem-callWaiting">
              <input id="callWaiting-input" data-type="focusEnabled" type="checkbox">
                    <span id="menuItem-callWaiting" class="menu-itembtcheck" data-l10-id="open-callwaiting"> Call waiting</span>
            </label>
          </li>
          <li>
            <label class="pack-switch">
              <input id="autoAnswer-input" data-type="focusEnabled" type="checkbox">
                    <span id="menuItem-autoAnswer" class="menu-itembtcheck" data-l10-id="open-autoanswer"> Auto Answer</span>
      </label>
    </li>
    <!--<li>-->
    <!--<label class="pack-switch">-->
    <!--<input id="autoGPRS-input" data-type="focusEnabled" type="checkbox" >-->
    <!--<span id="menuItem-autoGPRS" class="menu-itembtcheck"-->
    <!--data-l10-id="open-autoGPRS"> Auto GPRS</span>-->
    <!--</label>-->
    <!--</li>-->
    <li>
      <label class="pack-switch">
        <input id="cmas-input" data-type="focusEnabled" type="checkbox">
                    <span id="menuItem-cmas" class="menu-itembtcheck" data-l10-id="open-cams"> CMAS test broadcast</span>
            </label>
          </li>
          <li>
            <label class="pack-switch">
              <input id="debuging-input" data-type="focusEnabled" type="checkbox">
                    <span id="menuItem-debuging" class="menu-itembtcheck" data-l10-id="open-debuging"> debuging tool </span>
            </label>
          </li>
          <li>
            <label class="pack-switch">
              <input id="sdcard-input" data-type="focusEnabled" type="checkbox">
                    <span id="menuItem-sdcard" class="menu-itembtcheck" data-l10-id="open-sdcard"> storage </span>
      </label>
    </li>
    <!--<li>-->
    <!--<label class="pack-switch">-->
    <!--<input id="relay-oprt-change-input" data-type="focusEnabled" type="checkbox" >-->
    <!--<span id="menuItem-relay-oprt-change" class="menu-itembtcheck"-->
    <!--data-l10-id="open-relay-oprt-change"> relay oprt change </span>-->
    <!--</label>-->
    <!--</li>-->
    <!--<li data-type="focusEnabled">-->
    <!--<label>-->
    <!--</label>-->
    <!--</li>-->
  </ul>
</section>

    <section id="omadmsetting" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>OMA DM Setting</h1>
      </header>
      <ul>
        <li>
          <a id="menuItem-OmaControl" data-type="focusEnabled" class="menu-item" href="#OmaControls">DM Control</a>
        </li>
        <li>
          <a id="menuItem-AauthData" data-type="focusEnabled" class="menu-item" href="#AauthDataSettings">DM AuthData</a>
        </li>
        <li>
          <a id="menuItem-DmConfiguration" data-type="focusEnabled" class="menu-item" href="#DmConfiguration">DM Configuration</a>
        </li>
      </ul>
    </section>

    <section id="OmaControls" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#omadmsetting" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>DM Control</h1>
      </header>
      <ul>
        <li>
          <button id="oma-Control-startsvr" data-type="focusEnabled" style="width: 50%;">
            Start Service
          </button>
        </li>
        <li>
          <button id="oma-Control-endsvr" data-type="focusEnabled" style="width: 50%;">
            End Service
          </button>
        </li>
        <li>
          <div class="omadivItem">
            <input id="oma-Control-input" data-type="focusEnabled" style="width: 50%;" type="text">
          </div>
        </li>
        <li>
          <button id="oma-Control-postEvt" data-type="focusEnabled" style="width: 50%;">
            Post Event
          </button>
        </li>
        <li>
          <button id="oma-Control-startoma" data-type="focusEnabled" style="width: 50%;">
            Start Oma
          </button>
        </li>
      </ul>
    </section>

    <section id="AauthDataSettings" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#omadmsetting" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>DM AuthData</h1>
      </header>
      <ul>
        <li>
          <p>AtuthData:</p>
          <div class="divItem">
            <input id="oma-aatuthdata-input" data-type="focusEnabled" maxlength="32" style="text-transform:lowercase;" type="text">
          </div>
        </li>
        <button id="oma-aatuthdata-write" data-type="focusEnabled" style="width: 30%;">
          Write
        </button>
      </ul>
    </section>

    <section id="DmConfiguration" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#omadmsetting" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>DM Configuration</h1>
      </header>
      <ul>
        <li style="display: none;">
          <a id="omadm-mIvzwims-disable" data-type="focusEnabled" class="menu-item">disable all</a>
        </li>
        <li style="display: none;">
          <a id="omadm-mIvzwims-restore" data-type="focusEnabled" class="menu-item">restore all</a>
        </li>
        <li>
          <a id="omadm-mIvzwims-disable" data-type="focusEnabled" class="menu-item">disable vzwims</a>
        </li>
        <li>
          <a id="omadm-mIvzwims-restore" data-type="focusEnabled" class="menu-item">restore vzwims</a>
        </li>

        <li>
          <a id="omadm-mIvzwadmin-disable" data-type="focusEnabled" class="menu-item">disable vzwadmin</a>
        </li>
        <li>
          <a id="omadm-mIvzwadmin-restore" data-type="focusEnabled" class="menu-item">restore vzwadmin</a>
        </li>

        <li>
          <a id="omadm-mIvzwinternet-disable" data-type="focusEnabled" class="menu-item">disable vzwinternet</a>
        </li>
        <li>
          <a id="omadm-mIvzwinternet-restore" data-type="focusEnabled" class="menu-item">restore vzwinternet</a>
        </li>

        <li>
          <a id="omadm-mIvzwapp-disable" data-type="focusEnabled" class="menu-item">disable vzwapp</a>
        </li>
        <li>
          <a id="omadm-mIvzwapp-restore" data-type="focusEnabled" class="menu-item">restore vzwapp</a>
        </li>

      </ul>
    </section>

    <section id="networkPrefer" class="skin-organic" role="region" style="display: none;">
        <header>
          <a href="#setting" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
          <h1 data-l10n-id="networkSelect">Network Select</h1>
        </header>
        <div>
          <ul class="compact">
            <li>
                <gaia-select data-type="focusEnabled">
                  <select id="network-select">

                  </select>
                </gaia-select>
            </li>
          </ul>
      </div>
    </section>

    <section id="vibrator" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>Vibrator Limited Test</h1>
      </header>
        <ul>
          <li>
            <div class="divItem">
              Settings
            </div>
          </li>
        </ul>
        <ul>
          <div class="divItem">
            Times Left (hr) :
          </div>
          <div class="divItem" id="lbdefaultTime">72</div>
        </ul>
        <li>
          <div class="divItem">
            <button id="btVibrateTimeAdd" data-type="focusEnabled" style="width: 30%;">
              +
            </button>
            <button id="btDefaultTimeaSubtract" data-type="focusEnabled" style="width: 30%;">
              -
            </button>
          </div>
        </li>
        <li>
          <div class="divItem">
            Duration:
          </div>
          <div class="divItem">
            <gaia-select data-type="focusEnabled">
              <select id="vbTimes" style="font-size: 2rem;">
                <option value="50">0.05 s</option>
                <option value="100">0.1 s</option>
                <option value="300">0.3 s</option>
                <option value="500">0.5 s </option>
                <option value="1000">1 s</option>
                <option value="2000">2 s</option>
                <option value="5000">5 s</option>
              </select>
            </gaia-select>
          </div>
        </li>
        <li>
          <div class="divItem">Interval:</div>
          <div class="divItem">
            <gaia-select data-type="focusEnabled">
              <select id="vbinvTimes" style="font-size: 2rem;">
                <option value="50">0.05 s</option>
                <option value="100">0.1 s</option>
                <option value="300">0.3 s</option>
                <option value="500">0.5 s </option>
                <option value="1000">1 s</option>
                <option value="2000">2 s</option>
                <option value="5000">5 s</option>
              </select>
            </gaia-select>
          </div>
        </li>
        <!--add by lianghua.zhao start-->
        <li>
          <div class="cus-switchtcheck">
            <input id="cusCheck" data-type="focusEnabled" type="checkbox">
            <div class="divItem">customize vibrate</div>
          </div>
        </li>
        <li>
          <div class="divItem">
            Cus Duration:</div>
          <div class="cus-divItem">
            <input data-type="focusEnabled" id="cusVbTimes" disabled="true" value="1000" type="text">
            <div class="divItem">ms</div>
          </div>
        </li>
        <li>
          <div class="divItem">
            Cus Interval:</div>
          <div class="cus-divItem">
            <input data-type="focusEnabled" id="cusVbinvTimes" disabled="true" value="1000" type="text">
            <div class="divItem">ms</div>
          </div>
        </li>
        <!--add by lianghua.zhao end-->
        <li>
            <div class="divItem">
              <button id="btVibrateRun" data-type="focusEnabled" style="width: 30%;">
                Run
              </button>
            </div>
            <div class="divItem">
              <button id="btVibrateStop" data-type="focusEnabled" style="width: 30%;" disabled="true">
                Stop
              </button>
            </div>
          </li>
      <li>
      <div class="divItem">
        <button id="btVibrateUnlimited" data-type="focusEnabled" style="width: 45%;">
          Unlimited Run
        </button>
      </div>
      </li>

    </section>
    <section id="radio_info" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>Radio Info</h1>
      </header>
      <ul>
          <li id="radio_infoModeChange">
          <div id="radio_infoMode" class="divItem">(Less Info Mode)</div>
          <div id="radio_infoStatus" class="divItemForRadioInfo">Info: null</div>
          </li>
          <ul id="radio_infoResultPanel" class="radioinforesultItem"></ul>
      </ul>
    </section>

    <section id="battery_info" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>Battery Info</h1>
      </header>
      <ul>
        <div class="divItem" style="float: left">
          Interval Times:
        </div>
        <div class="divItem" style="float: left">
          <button id="btinfo_interval_TimeaSubtract" data-type="focusEnabled" style="width: 15%;">
            -
          </button>
        </div>
        <div class="divItem" id="lbdefault_interval_Time" style="float: left">5</div>
        <div class="divItem" style="float: left"> S</div>
        <div class="divItem" style="float: left">
          <button id="btinfo_interval_TimeAdd" data-type="focusEnabled" style="width: 15%;">
            +
          </button>
        </div>
      </ul>
        <li>
          <div class="divItem">
            <button id="btinfo_start" data-type="focusEnabled" style="width: 30%;">
              Start
            </button>
            <button id="btinfo_stop" data-type="focusEnabled" style="width: 30%;" disabled="true">
              Stop
            </button>
        </div>
        </li>
        <div id="battery_infoResultPanel" class="radioinforesultItem"></div>
    </section>

    <section id="gsensor-info" class="skin-organic" role="region" style="display: none;">
        <header>
          <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
          <h1>Gsensor Info</h1>
        </header>
          <div class="gsensor-div">
            <ul>
              <li>Accelerometer X:</li>
              <li id="gsensor_x"></li>
            </ul>

            <ul>
              <li>Accelerometer Y:</li>
              <li id="gsensor_y"></li>
            </ul>

            <ul>
                <li>Accelerometer Z:</li>
                <li id="gsensor_z"></li>
            </ul>
          </div>

          <li>
            <div class="divItem">
              <button id="gsensorRun" data-type="focusEnabled" style="width: 40%;">
                    Run
              </button>
            </div>
            <div class="divItem">
              <button id="gsensorStop" data-type="focusEnabled" style="width: 40%;" disabled="true">
                    Stop
              </button>
            </div>
         </li>
    </section>

    <section id="logcat_settings" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>Running in root</h1>
      </header>
      <ul>
        <li>
          <label class="pack-switch">
            <input id="logcat-input" data-type="focusEnabled" name="agpsdisplay.enabled" type="checkbox">
              <span id="menuItem-logcatDisplay" class="menu-itembtcheck" data-l10n-id="logcat">Conmmad to Run</span>
          </label>
        </li>
        <li id="pwditem" style="display:block;">
          <div class="divItem">
            Password:<input id="passwd" maxlength="6" type="password">
          </div>
        </li>
        <li>
          <div id="LogcatStatus" class="divItem">
            Stop!
          </div>
        </li>
        <div id="logcat_ResultPanel" class="radioinforesultItem">
          <br>Running bgsvervice in root Mode!<br>
          <br>File Path:/storage/sdcard1/bgsvervice<br>
        </div>
      </ul>
    </section>

    <section id="version_info" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>Version Info</h1>
      </header>
      <div id="version_infoPanel" class="divItem">
        <ul>
          <li class="imeiInfo"></li>
          <li class="swInfo"></li>
        </ul>
      </div>
    </section>

    <section id="nvsettings" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>NV Options</h1>
      </header>
      <ul>
        <li>
          <p>NV Item:</p>
          <div class="divItem">
            <input id="nv-item-input" data-type="focusEnabled" maxlength="8" type="number">
          </div>
        </li>
        <li>
          <p>(Index-length):</p>
          <div class="divItem">
            <input id="nv-input-begin" data-type="focusEnabled" maxlength="8" style="width: 20%;" type="number">
          </div>
          <div class="divItem" style="width: 5%;"> - </div>
          <div class="divItem">
            <input id="nv-input-end" data-type="focusEnabled" maxlength="8" style="width: 20%;" type="number">
          </div>
        </li>
        <li>
          <p>Value(hex):</p>
          <div class="divItem">
            <input id="nv-vaule-input" data-type="focusEnabled" maxlength="256" type="text">
          </div>
        </li>
        <button id="nv-read" data-type="focusEnabled" style="width: 30%;">
          Read
        </button>
        <button id="nv-write" data-type="focusEnabled" style="width: 30%;">
          Write
        </button>
        <div id="nv-result0" class="radioinforesultItem" data-type="focusEnabled">
          *************begin*************
        </div>
        <div id="nv-result" class="radioinforesultItem"></div>
        <div id="nv-result1" class="radioinforesultItem" data-type="focusEnabled">
          **************end**************
        </div>
      </ul>
    </section>
    <section id="hotlink" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>Hot Link</h1>
      </header>
      <ul id="hotlinklist">
        <label class="desLabel">
          <span>
                Use the default format files hotlink.json <br>
                you can push it to:<br>
                /storage/sdcard1/hotlink/   or   /storage/sdcard0/hotlink/
          </span>
        </label>
      </ul>
    </section>
    <section id="uasettings" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>UA Settings</h1>
      </header>
      <ul id="uasettingslist">
        <label id="inputcomm" class="desLabel">
        </label>
        <li>
          <a id="memuitem-customvalue" href="#uacustomvalue">UA Custom Value</a>
        </li>
      </ul>
    </section>
    <section id="uacustomvalue" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#uasettings" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>custom Value</h1>
      </header>
      <ul>
        <label id="uacustominputcomm" class="desLabel">
        </label>
        <li>
          <input id="uscustom-vaule-input" data-type="focusEnabled" type="text">
        </li>
        <button id="uscustom-write" data-type="focusEnabled" style="width: 30%;">
          Write
        </button>
      </ul>
    </section>
    <section id="curef" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>CU Ref</h1>
      </header>
      <ul>
        <li>
          <div class="divItem">
            <input id="curef-vaule-input" data-type="focusEnabled" maxlength="20" type="text">
          </div>
        </li>
          <button id="curef-read" data-type="focusEnabled" style="width: 30%;">
            Read
          </button>
          <button id="curef-write" data-type="focusEnabled" style="width: 30%;">
            Write
          </button>
      </ul>
    </section>

    <section id="make_log" class="skin-organic" role="region" style="display: none;">
        <header>
            <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
            <h1>log visible</h1>
        </header>
        <ul>
            <div id="makelog_infoPanel" class="divItem"></div>
        </ul>
    </section>

    <section id="resetPhone" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>Factory Reset</h1>
      </header>
      <ul>
        <li>
          <div class="divItem" id="factory_reset_tip1">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This will eraser all data from <br>
          your phone internal storage.</div>
          <div class="divItem" id="factory_reset_tip2">&nbsp;&nbsp;Do you want factory reset?</div>
        </li>
          <button id="btn_reset" data-type="focusEnabled" style="width: 30%;">
            Reset
          </button>
      </ul>
    </section>
    <section id="lcd_test" class="skin-organic" role="region" style="display: none;">
      <header>
        <a href="#root" data-type="focusEnabled"><span class="icon icon-back">back</span></a>
        <h1>LCD Test</h1>
      </header>
      <ul>
        <li>
          <a id="menuItem-lcdblack" data-type="focusEnabled" class="menu-item" href="#lcd_black">LCD Black</a>
        </li>
        <li>
          <a id="menuItem-gpst-test1" data-type="focusEnabled" class="menu-item" href="#lcd_white">LCD White</a>
        </li>
      </ul>
    </section>
    <section id="lcd_black" class="skin-organic" role="region" style="display: none;">
      <div id="step2" style="width:100%; height:100%; background-color:#000000">
        <a id="lcd_black_back" href="#lcd_test" data-type="focusEnabled"><span class="icon icon-back"></span></a>
      </div>
    </section>
    <section id="lcd_white" class="skin-organic" role="region" style="display: none;">
      <div id="step2" style="width:100%; height:100%; background-color:#ffffff">
        <a id="lcd_white_back" href="#lcd_test" data-type="focusEnabled"><span class="icon icon-back"></span></a>
      </div>
    </section>

    <script src="js/em_Main_Testbox.js"></script>
    <script src="js/em_Settings.js"></script>
    <script src="js/em_WifiChecking.js"></script>
    <script src="js/em_wifitests.js"></script>
    <script src="js/em_NFC.js"></script>
    <script src="js/em_Vibrators.js"></script>
    <script src="js/em_RadioInfo.js"></script>
    <script src="js/em_LogcatSettings.js"></script>
    <script src="js/em_VerSettings.js"></script>
    <script src="js/em_LcdTest.js"></script>
    <script src="js/em_BatteryInfo.js"></script>
    <script src="js/em_Hotlink.js"></script>
    <script src="js/em_NVSettings.js"></script>
    <script src="js/em_CURef.js"></script>
    <script src="js/em_UASettings.js"></script>
    <script src="js/em_NetworkInfo.js"></script>
    <script src="js/em_Oma_AauthDataSettings.js"></script>
    <script src="js/em_Oma_Control.js"></script>
    <script src="js/em_Oma_Configuration.js"></script>
    <script src="js/em_factoryreset.js"></script>
    <script src="js/addFocusAndListener.js"></script>
    <script src="js/hardkey.js"></script>
  </body>

</html>
